function kkt2web(str){
	var res = "";
	var i = 0;
	var con = false;
	var start = true;
	while(i<str.length){
		if(str[i]=="#"){
			if(con == false){
				if(start == false)
					res += "\r\n";
				res+=str[i];
				con = true;
				i++;
				start = false;
				continue;
			}else{
				con = false;
			}
			
		}
		res+=str[i];
		i++;
		start = false;
	}
	return res;
}

function web2kkt(str){
	var res = "";
	var i = 0;
	while(i<str.length){
//		if((i+1)<str.length && ((str[i+0]=="\r" && str[i+1]=='\n'))){
//			i+=2;
//			if((i+1) < str.length && (str[i+0]=="#")){
//				res+="@@";
//			}
//			continue;
//		}else if(str[i]=='\n'){
//			i+=1;
//			if((i+1) < str.length && str[i+0]=="#"){
//				res+="@@";
//			}
//			continue;
//		}
		
		if(str[i]=="#")res+="@@";
		else res+=str[i];
		i++;
	}
	return res;	
}

function changeDark(){
	var dark = document.getElementById("dark_print").value;
	document.getElementById("dark_print_probe").value = "Пробная печать <" + dark + ">";
}

function changeLineSpacing(){
	var line_spacing = document.getElementById("line_spacing").value;
	document.getElementById("line_spacing_probe").value = "Пробная печать <" + line_spacing + ">";	
}

/*
 * Начальное заполнение формы
 */
function fillform(info){

	document.getElementById("head").value = kkt2web(info["head"]);
	document.getElementById("tile").value = kkt2web(info["tile"]);
	
	if(info["round"] != null)
		document.getElementById("round").value = kkt2web(info["round"]);
}

function fillforminfo(info){
	document.getElementById("email").value = kkt2web(info["email"]);
	document.getElementById("site").value = kkt2web(info["site"]);
}

function fillformparam(info){
	document.getElementById("use_as_server").checked = (info["useserver"]==0) ? false:true;
	document.getElementById("port_as_server").value = ""+info["port"];
	if(info["pasw"] != null)
		document.getElementById("pasw-fr").value = info["pasw"];
	
	document.getElementById("print_name_1_line").checked = (info["print1line"]==0) ? false:true;
	document.getElementById("scale_qr").value = info["scaleqr"];	
	document.getElementById("encode_base").value = info["encode"];
	
	document.getElementById("dark_print").value = (info["energy"] != null) ? info["energy"] : 10;
	document.getElementById("line_spacing").value = (info["line_spacing"] != null) ? info["line_spacing"] : 4;
	
	document.getElementById("current_font").value = (info["font"] != null) ? info["font"] : 0;
	
	
	document.getElementById("print_payment_method").checked = (info["print_payment_method"]==null || info["print_payment_method"]==0) ? false:true;
	document.getElementById("use_product_feature").checked = (info["use_product_feature"]==null || info["use_product_feature"]==0) ? false:true;
	
	document.getElementById("product_tax").checked = (info["product_tax"]==null || info["product_tax"]==0) ? false:true;
	
	document.getElementById("store_cash").checked = (info["store_cash"]==null || info["store_cash"]==0) ? true:false;

	document.getElementById("use_marking").checked = (info["use_marking"]==null || info["use_marking"]==0) ? false:true;

	
	
	document.getElementById("box_on").value = (info["box_on"]==null) ? 200 : info["box_on"];
	document.getElementById("box_off").value = (info["box_off"]==null) ? 100 : info["box_off"];
	document.getElementById("box_quantity").value = (info["box_quantity"]==null) ? 1 : info["box_quantity"];

	
	 changeDark();
	 changeLineSpacing();
}

/*
 * Пробная печать HEAD
 */
function start_print(el){
	var v_head =  document.getElementById(el).value;
	
	var str_new_info = "/?ajax_probe_print??"+web2kkt(v_head);
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
}

function check_print(){
	var v_energy =  document.getElementById("dark_print").value;
	var v_line =  document.getElementById("line_spacing").value;
	
	var str_new_info = "/?ajax_check_print??"+v_energy+"??"+v_line;
	//alert(str_new_info);
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
}

function store_head(what){
	var v_head =  document.getElementById((what == 1) ? "head" : (what == 2) ? "tile" : 'round').value;
	var str_new_info = "/?ajax_store_head??"+what+"??"+web2kkt(v_head);
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
}


/*
 * Обработчик ajax событий 
 */
function local_proc(values){

	if(values[0] == "rez_probe_print" || values[0] == "rez_check_print"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
	}else if(values[0] == "rez_store_head"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены");
		}		
	}else if(values[0] == "rez_send_email" || values[0] == "rez_send_paramkkt"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены");
		}		
	}
	changeInterval(500);	
}

function store_info(){
	var v_email =  document.getElementById("email").value;
	var v_site =  document.getElementById("site").value;
	
	var str_new_info = "/?ajax_send_email??"+v_email+"??"+v_site;
	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});
	
}

function store_param_info(){
	var use_as_server = (document.getElementById("use_as_server").checked == true) ? 1 : 0;
	var port_as_server = document.getElementById("port_as_server").value;
	var pasw_fr = document.getElementById("pasw-fr").value;
	
	var print_name_1_line = (document.getElementById("print_name_1_line").checked == true) ? 1 : 0;
	var scale_qr = document.getElementById("scale_qr").value;
	var encode_base = document.getElementById("encode_base").value;
	
	var dark = document.getElementById("dark_print").value;
	var line_spacing = document.getElementById("line_spacing").value;
	
	var cfont =  document.getElementById("current_font").value;
	var print_payment_method =  (document.getElementById("print_payment_method").checked == true) ? 1 : 0;
	var use_product_feature =  (document.getElementById("use_product_feature").checked == true) ? 1 : 0;
	
	var store_cash =  (document.getElementById("store_cash").checked == true) ? 0 : 1;
	
	var box_on = document.getElementById("box_on").value;
	var box_off = document.getElementById("box_off").value;
	var box_quantity = document.getElementById("box_quantity").value;

	var use_product_tax =  (document.getElementById("product_tax").checked == true) ? 1 : 0;
	
	var use_marking = (document.getElementById("use_marking").checked == true) ? 1 : 0; 
	
	var str_new_info = "/?ajax_send_paramkkt??"+use_as_server+"??"+port_as_server+"??"+pasw_fr
		+"??"+print_name_1_line
		+"??"+scale_qr+"??"+encode_base+"??"+dark+"??"+line_spacing+"??"+cfont+"??"+print_payment_method + "??" + use_product_feature
		+ "??" + store_cash + "??" + box_on + "??" + box_off+ "??" + box_quantity + "??" + use_product_tax + "??" + use_marking;

	changeInterval(50);
	setRequest(function (){
		return str_new_info;
	});

}

var fun_end_error = null;
function draw_error(title, info, fexit){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "block";
	
	var head1 = document.getElementById("title_error_dialog");
	head1.innerHTML = title;
	
	var info1 = document.getElementById("error_info");
	info1.innerHTML = info;
	
	fun_end_error = fexit;
}

function close_dialog_error(){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "none";
	
	if(fun_end_error != null){
		fun_end_error();
		fun_end_error = null;
	}
}

function draw_info(info){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "block";
	
	
	var info1 = document.getElementById("el_info");
	info1.innerHTML = info;
	
}

function close_dialog_info(){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "none";
	
}