/*
 * Начальное заполнение формы
 */
var last_iface = '0';
function fillform(netinfo){
	var t = '0';
	if(netinfo["type"] != null){
		document.getElementById("iface").value = netinfo["type"];
		t = netinfo["type"];		
	}else{
		netinfo["type"] = t;
	}

	last_iface = t;
	
		if(netinfo["eth"] == null){
			netinfo["eth"] = {
		                 "ip":"192.168.1.101",
		                 "mask":"255.255.255.0",
		                 "gate":"192.168.1.1",
		                 "dns":"192.168.1.1",
		                 "dhcp":false
			};
		}
		if(netinfo["wifi"] == null){
			netinfo["wifi"] = {
		                 "ip":"192.168.1.101",
		                 "mask":"255.255.255.0",
		                 "gate":"192.168.1.1",
		                 "dns":"192.168.1.1",
		                 "dhcp":true
			};
		}
		if(netinfo["usb"] == null){
			netinfo["usb"] = {
		                 "ip":"192.168.137.101",
		                 "mask":"255.255.255.0",
		                 "gate":"192.168.137.1",
		                 "dns":"192.168.137.1",
		                 "dhcp":false
			};
		}
	
		var i;
		var cstr = ["eth", "wifi", "usb"];
		for(i=0; i<3;i++){
			ni = netinfo[cstr[i]];
			
			if(ni["ip"] != null)
				document.getElementById("ip"+i).value = ni["ip"];
			else
				ni["ip"] = document.getElementById("ip"+i).value;
			
			if(ni["mask"] != null)
				document.getElementById("mask"+i).value = ni["mask"];
			else
				ni["mask"] = document.getElementById("mask"+i).value;
				
			if(ni["dns"] != null)
				document.getElementById("dns"+i).value = ni["dns"];
			else
				ni["dns"] = document.getElementById("dns"+i).value;
			
			if(ni["gate"] != null)
				document.getElementById("gateway"+i).value = ni["gate"];
			else
				ni["gate"] = document.getElementById("gateway"+i).value;
	
			if(document.getElementById("dhcp"+i) != null)
				document.getElementById("dhcp"+i).checked = ni["dhcp"];
			else 
				ni["dhcp"] = document.getElementById("dhcp"+i).checked;
		}	
		 
	
	if(netinfo["ssid"]!= null)
		document.getElementById("ssid").value = netinfo["ssid"];
	
	if( netinfo["psw"])
		document.getElementById("pasw").value = netinfo["psw"];

	if( netinfo["google"] != null)
		document.getElementById("google").checked = netinfo["google"];
	else
		netinfo["goole"] = document.getElementById("google").value;

}

function sel_iface(){
}

/*
 * Начать регистрацию
 */
function store_param_net(){
	if(check_entering_data() == true){
		var v_ip0 =  document.getElementById("ip0").value;
		var v_mask0 = document.getElementById("mask0").value;
		var v_gate0 = document.getElementById("gateway0").value;
		var v_dns0 = document.getElementById("dns0").value;
		var v_dhcp0 = (document.getElementById("dhcp0").checked == true) ? 1 : 0;
		
		var v_ip1 =  document.getElementById("ip1").value;
		var v_mask1 = document.getElementById("mask1").value;
		var v_gate1 = document.getElementById("gateway1").value;
		var v_dns1 = document.getElementById("dns1").value;
		var v_dhcp1 = (document.getElementById("dhcp1").checked == true) ? 1 : 0;

		var v_ip2 =  document.getElementById("ip2").value;
		var v_mask2 = document.getElementById("mask2").value;
		var v_gate2 = document.getElementById("gateway2").value;
		var v_dns2 = document.getElementById("dns2").value;
		var v_dhcp2 =  0;

		
		var v_wifi = document.getElementById("iface").value;
		var v_ssid = document.getElementById("ssid").value;
		var v_pasw = document.getElementById("pasw").value;
		var v_vid = (document.getElementById("google").checked == true) ? 1 : 0;

		pasw = ""
		for (var n = 0; n<v_pasw.length; ++n){
			if(v_pasw[n] == '#')pasw+='@@';
			else pasw+=v_pasw[n];
		}
		
		
		var str_new_fninfo = "/?ajax_store_info_net??"+
		v_ip0+"??"+ v_mask0+"??"+v_gate0+"??"+v_dns0+"??"+v_dhcp0+"??"+
		v_ip1+"??"+ v_mask1+"??"+v_gate1+"??"+v_dns1+"??"+v_dhcp1+"??"+
		v_ip2+"??"+ v_mask2+"??"+v_gate2+"??"+v_dns2+"??"+v_dhcp2+"??"+
		v_wifi+"??"+
		v_ssid+"??"+
		pasw +"??"+
		v_vid; 
		
		//alert(str_new_fninfo);
		
		changeInterval(50);
		setRequest(function (){		
			return str_new_fninfo;
		});
	}else{
		
	}
}

/*
 * Проверка на числа 
 */
function check_on_digits(text){
	return (isNaN(parseInt(text)) == false) ? true : false;
}

//Проверка IP поля
function check_on_ip(val){
	var filds = val.split(".");
	
	if(filds.length != 4)
		return false;
	
	for(var i=0; i<4; ++i){
		if(check_on_digits(filds[i]) == false || parseInt(filds[i]) > 255) return false;
	}
	
	return true;
}

/*
 * Проверить введенные данные
 */
function check_entering_data(){
	var cstr = ["(Ethernet)", "(WiFi)", "(USB)"];
	for(var i=0; i<3; i++){
		
		var v_ip =  document.getElementById("ip"+i).value;
		var v_mask = document.getElementById("mask"+i).value;
		var v_gate = document.getElementById("gateway"+i).value;
		var v_dns = document.getElementById("dns"+i).value;
		var v_dhcp = (document.getElementById("dhcp"+i).checked == true) ? 1 : 0;
		
		
		if(check_on_ip(v_ip) == false){
			draw_error("Ошибка", "Неверно оформлено поле  'IP' " + cstr[i]);
			return false;
		}else if(check_on_ip(v_mask) == false){
			draw_error("Ошибка", "Неверно оформлено поле  'Маска' " + cstr[i]);
			return false;
		}else if(check_on_ip(v_gate) == false){
			draw_error("Ошибка", "Неверно оформлено поле  'Шлюз' " + cstr[i]);
			return false;
		}else if(check_on_ip(v_dns) == false){
			draw_error("Ошибка", "Неверно оформлено поле  'DNS' " + cstr[i]);
			return false;
		}  
	}
	
	return true;
} 

/*
 * Обработчик ajax событий 
 */
function local_proc(values){

	if(values[0] == "rez_store_info_net"){
		if(values[1] == "Fault"){
			draw_error("Ошибка", "<p>"+values[3] + "</p><strong>"+values[2]+"</strong>");
		}
		 else{
			draw_info("Данные успешно сохранены. <p>Для применения данных требуется перезагрузка ККТ.<p>");
		}
	}
	changeInterval(750);	
}


var fun_end_error = null;
function draw_error(title, info, fexit){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "block";
	
	var head1 = document.getElementById("title_error_dialog");
	head1.innerHTML = title;
	
	var info1 = document.getElementById("error_info");
	info1.innerHTML = info;
	
	fun_end_error = fexit;
}

function close_dialog_error(){
	var dlg = document.getElementById("dialog_error");
	dlg.style.display = "none";
	
	if(fun_end_error != null){
		fun_end_error();
		fun_end_error = null;
	}
}

function draw_info(info){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "block";
	
	
	var info1 = document.getElementById("el_info");
	info1.innerHTML = info;
	
}

function close_dialog_info(){
	var dlg = document.getElementById("dlg-info");
	dlg.style.display = "none";
	
}

function need_reset(){
	setRequest(function (){
		window.location.href = "entrance.html";
		return "/?ajax_need_reset";
	});

	
}
